Bug 472742 - Unimpressed with Evolution 2.24
Unimpressed with Evolution 2.24
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 05:41 EST by David Woodhouse
Modified: 2010-06-03 11:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 11:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (166.43 KB, image/png)
2009-07-27 08:08 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2008-11-24 05:41:23 EST
After updating to Fedora 10, mails in some folders seem to be shown in a strange order, rather than the order in which they were delivered to the mailbox.

I've checked, and none of the other local sorts are applied. Sorting by date gets me something _close_ to what I should have, but since many people send mail with incorrect dates, it's not quite right.

Also, the folder tree for one server is very wrong. It shows a bunch of folders correctly, then a folder named 'Loading...', one more real folder ('Outbox') and then 8 more folders with no name at all, before a few more real folders.

I'd attach a screen shot, but I haven't yet worked out where that GIMP feature has gone.
Comment 1 David Woodhouse 2008-11-24 05:42:42 EST
Doh. I found the 'Create...' menu in GIMP now but on restarting evolution, the folder tree looks right. Mails are still in the wrong order, though.
Comment 2 Milan Crha 2008-11-24 06:44:12 EST
Unnamed folders seems like the upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=337082

The sorting, hmm, you can sort by received, but if I got it right, then you mean it worked before "without any" sorting (probably with default sorting), but now it doesn't work at all, right? Can you check what's in your ~/.evolution/mail/views/ and the current-view-<account-name-and-path-to-folder>.xml, if any? If the file isn't there, then it uses one of the saved .galview, the default one is Messages, I think. You can check in View->Current View, where is the dot.
Comment 3 David Woodhouse 2008-11-24 07:51:51 EST
Yes, 'without any' sorting would previously show me the mails in the order that the imap server returned them. Now I get them in what seems to be completely randomised order.

It was a custom view, and the file mentions nothing about sorting. I put it back to the 'Messages' view, and it's still not in the right order.
Comment 4 David Woodhouse 2008-11-24 08:08:26 EST
Also, evolution seems to have forgotten which news articles I've read and which I haven't. And if I have a compose window open it's taken to popping up a dialog box saying:

Could not save to autosave file "/home/dwmw2/.evolution/.evolution-composer.autosave-TX66KU".
Error saving to autosave because "Interrupted system call".
Comment 5 Matthew Barnes 2008-11-24 08:48:51 EST

*** This bug has been marked as a duplicate of bug 466431 ***
Comment 6 David Woodhouse 2008-11-24 09:58:18 EST
It also seems to get itself into a state where it shows empty folders. Not the 'this folder is empty' marker which it's recently learned to do, but just completely blank. For all folders.
Comment 7 Milan Crha 2008-11-24 10:18:47 EST
is it waiting for some response from the server? There should be some indication in the status bar. In case it isn't there, then it's doing something else.
Comment 8 Matthew Barnes 2008-11-24 10:53:44 EST
Evolution 2.24.0 was kind of a stinker right out of the gates due to the SQLite summary backend being merged too late in the development cycle, with not enough time for sufficient testing.  I just packaged Evolution 2.24.2, which should fix at least some of these issues.  Let me know which issues are still standing after upgrading, if you would please.
Comment 9 David Woodhouse 2008-11-24 11:01:48 EST
Will do.
Comment 10 David Woodhouse 2008-11-24 19:32:49 EST
Regarding the empty mailboxes... this seems to happen when one of the connections to the servers is broken and I have to hit the 'cancel' button. This happens for example when the VPN disconnects and I get a new IP address on the VPN when I reconnect.

After that, no mailboxes -- on _any_ server -- will display. Although mail-notification still works and I can view mail by clicking 'open' on that.
Comment 11 David Woodhouse 2008-11-25 06:36:22 EST
I built e-d-s and evo 2.42.2 from F-10 CVS, and the problem with empty folders still persists. It should be simple to reproduce -- set up two IMAP accounts and hit 'cancel' when one of them is busy talking to the server. Watch Evolution never show you another mailbox.

Although I thought it was just cosmetic -- something in the front end, while the back end was still working (because mail-notification still works and I can still his the 'open' button in the notification popup and see new mails that way), I'm not so sure. I also see it making bogus SQL queries...

sending : A00012 STATUS badreply (MESSAGES UNSEEN)
received: * STATUS "badreply" (MESSAGES 1912 UNSEEN 25)
received: A00012 OK Status completed.

camel_db_select:
SELECT uid, flags, size, dsent, dreceived, subject, mail_from, mail_to, mail_cc, mlist, part, labels, usertags, cinfo, bdata FROM 'badreply' WHERE uid = '����' 

===========
DB SQL operation [SELECT uid, flags, size, dsent, dreceived, subject, mail_from, mail_to, mail_cc, mlist, part, labels, usertags, cinfo, bdata FROM 'badreply' WHERE uid = '����'] started
DB Operation ended. Time Taken : 0.000617
###########
CamelException.set(0x7fe1922ebe90, 2, 'no uid [����] exists')
CamelException.setv(0x33d22d0, 107, 'Cannot get message with message ID ����: No such message available.')
Comment 12 David Woodhouse 2008-11-25 08:29:47 EST
Hm, and then I wondered why my sent mail hadn't appeared in the appropriate folder. I went into the account settings, and the 'Defaults' tab, and clicked on the 'Sent' folder. I chose the 'Sent' folder in an IMAP account. 

The button in the settings dialog box just says 'Sent', rather 'Sent on dwmw2@blah...' as ISTR it used to. I clicked it again, and when the dialog box came up the _local_ 'Sent' folder was selected, not the one on the imap folder.

I tried using an 'outgoing' folder on a different IMAP server. The button then said just 'outgoing', and when I clicked it again, _no_ folder was selected.

I tried again setting it to the IMAP Sent folder I wanted it to use, clicked 'OK', and it segfaulted.


(evolution:6754): e-data-server-CRITICAL **: e_account_set_string: assertion `ea != NULL' failed
[New Thread 0x7fffd57c7950 (LWP 6857)]

Program received signal SIGSEGV, Segmentation fault.
account_changed (accounts=<value optimized out>, account=0x0, 
    user_data=0x763830) at em-folder-tree-model.c:402
402		if (!account->enabled ||!(uri = account->source->url))
(gdb) bt
#0  account_changed (accounts=<value optimized out>, account=0x0, 
    user_data=0x763830) at em-folder-tree-model.c:402
#1  0x0000003a66c0b7bd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#2  0x0000003a66c214ad in ?? () from /lib64/libgobject-2.0.so.0
#3  0x0000003a66c22b58 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#4  0x0000003a66c23083 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#5  0x00007fffe20a7adc in imap_headers_commit (efp=<value optimized out>, 
    data=<value optimized out>) at imap-headers.c:131
#6  0x00007ffff6a7873d in epl_invoke (ep=0x6fb950, 
    name=0x75f650 "imap_headers_commit", data=0x2f95c70) at e-plugin.c:1035
#7  0x00007ffff6a6c176 in e_config_commit (ec=0x2f7e770) at e-config.c:1015
#8  0x00007ffff6a6cdf8 in ec_dialog_response (d=0x2a31430, id=1691599560, 
    ec=0x31) at e-config.c:858
#9  0x0000003a66c0b7bd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#10 0x0000003a66c214ad in ?? () from /lib64/libgobject-2.0.so.0
#11 0x0000003a66c22b58 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#12 0x0000003a66c23083 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#13 0x0000003a66c0b7bd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#14 0x0000003a66c214ad in ?? () from /lib64/libgobject-2.0.so.0
#15 0x0000003a66c22b58 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#16 0x0000003a66c23083 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#17 0x0000003aecc84fcd in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#18 0x0000003a66c0b7bd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#19 0x0000003a66c20dc8 in ?? () from /lib64/libgobject-2.0.so.0
#20 0x0000003a66c22b58 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#21 0x0000003a66c23083 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#22 0x0000003aecc8421d in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#23 0x0000003aecd29528 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#24 0x0000003a66c0b7bd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#25 0x0000003a66c2118b in ?? () from /lib64/libgobject-2.0.so.0
#26 0x0000003a66c229da in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#27 0x0000003a66c23083 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#28 0x0000003aece2c26e in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#29 0x0000003aecd21e93 in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#30 0x0000003aecd22fb3 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#31 0x0000003aec04dcdc in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#32 0x0000003a6683775b in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#33 0x0000003a6683af2d in ?? () from /lib64/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
Comment 13 Milan Crha 2008-11-25 10:58:56 EST
Crash known, see upstream bug 
http://bugzilla.gnome.org/show_bug.cgi?id=560188

Maybe the changes around that bug are also related to the issue with the sent folder, which I noticed just today on the IRC.
Comment 14 David Woodhouse 2008-11-28 04:51:07 EST
And now I see 'Error while Generating message list: unable to open database file' when I try to open my inbox. I think there was an earlier 'Error storing folder inbox: unable to open database file' too.
Comment 15 David Woodhouse 2008-11-28 06:54:40 EST
It seems like the 'Interrupted system call' messages on composer autosave also start happening after I hit 'cancel'. And the .signature in newly-opener composer windows is also empty, after I hit 'cancel'.

(Apologies for not opening individual bugs for _everything_ -- perhaps we can consider this to be a catch-all 'Evolution 2.24 is not ready to ship' bug.)
Comment 16 David Woodhouse 2008-11-29 05:04:58 EST
Failure mode of the day for Saturday November 29th... it just locks up and stops redrawing itself, while I'm composing a mail. 

(gdb) bt
#0  0x0000003a64cdc846 in poll () from /lib64/libc.so.6
#1  0x0000003f9fc3c9b0 in cs_waitinfo (worker=0x3f9fc3cef0 <cs_getaddrinfo>, 
    msg=0x7fef5f111d20, error=0x7fef6d9a5a15 "Host lookup failed", ex=0x0)
    at camel-net-utils.c:477
#2  0x0000003f9fc3ce06 in camel_getaddrinfo (
    name=0x7fff7ad860a0 "macbook.infradead.org", service=0x0, 
    hints=0x7fff7ad86070, ex=0x0) at camel-net-utils.c:693
#3  0x0000003f9fc33ab9 in camel_header_msgid_generate ()
    at camel-mime-utils.c:4427
#4  0x0000003f9fc2e01d in camel_mime_message_set_message_id (
    mime_message=0x362f900, message_id=0x0) at camel-mime-message.c:312
#5  0x0000003f9fc2f1ca in write_to_stream (data_wrapper=0x362f900, 
    stream=0x7fef5ff316a0) at camel-mime-message.c:645
#6  0x00007fef6cfc648f in e_composer_autosave_snapshot (composer=0x296c240)
    at e-composer-autosave.c:309
#7  0x0000003a66834f6d in g_list_foreach () from /lib64/libglib-2.0.so.0
#8  0x00007fef6cfc6909 in composer_autosave_timeout ()
    at e-composer-autosave.c:127
#9  0x0000003a66837f1b in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003a6683775b in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#11 0x0000003a6683af2d in ?? () from /lib64/libglib-2.0.so.0
#12 0x0000003a6683b45d in g_main_loop_run () from /lib64/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#13 0x0000003a7462d1f6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#14 0x0000000000416232 in main (argc=<value optimized out>, 
    argv=0x7fff7ad864b8) at main.c:689



(gdb) t a a bt

Thread 3 (Thread 0x7fef61fed950 (LWP 3647)):
#0  0x0000003a64cdc846 in poll () from /lib64/libc.so.6
#1  0x0000003a6683adc8 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003a6683b45d in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003af0607e93 in libnm_glib_dbus_worker (
    user_data=<value optimized out>) at libnm_glib.c:430
#4  0x0000003a66860c74 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003a658073da in start_thread () from /lib64/libpthread.so.0
#6  0x0000003a64ce627d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fef62fbf950 (LWP 3707)):
#0  0x0000003a64cdc846 in poll () from /lib64/libc.so.6
#1  0x0000003a6683adc8 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003a6683b45d in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003a72648170 in ?? () from /usr/lib64/libORBit-2.so.0
#4  0x0000003a66860c74 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003a658073da in start_thread () from /lib64/libpthread.so.0
#6  0x0000003a64ce627d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fef72d337e0 (LWP 3636)):
#0  0x0000003a64cdc846 in poll () from /lib64/libc.so.6
#1  0x0000003f9fc3c9b0 in cs_waitinfo (worker=0x3f9fc3cef0 <cs_getaddrinfo>, 
---Type <return> to continue, or q <return> to quit---
    msg=0x7fef5f111d20, error=0x7fef6d9a5a15 "Host lookup failed", ex=0x0)
    at camel-net-utils.c:477
#2  0x0000003f9fc3ce06 in camel_getaddrinfo (
    name=0x7fff7ad860a0 "macbook.infradead.org", service=0x0, 
    hints=0x7fff7ad86070, ex=0x0) at camel-net-utils.c:693
#3  0x0000003f9fc33ab9 in camel_header_msgid_generate ()
    at camel-mime-utils.c:4427
#4  0x0000003f9fc2e01d in camel_mime_message_set_message_id (
    mime_message=0x362f900, message_id=0x0) at camel-mime-message.c:312
#5  0x0000003f9fc2f1ca in write_to_stream (data_wrapper=0x362f900, 
    stream=0x7fef5ff316a0) at camel-mime-message.c:645
#6  0x00007fef6cfc648f in e_composer_autosave_snapshot (composer=0x296c240)
    at e-composer-autosave.c:309
#7  0x0000003a66834f6d in g_list_foreach () from /lib64/libglib-2.0.so.0
#8  0x00007fef6cfc6909 in composer_autosave_timeout ()
    at e-composer-autosave.c:127
#9  0x0000003a66837f1b in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003a6683775b in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#11 0x0000003a6683af2d in ?? () from /lib64/libglib-2.0.so.0
#12 0x0000003a6683b45d in g_main_loop_run () from /lib64/libglib-2.0.so.0
#13 0x0000003a7462d1f6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#14 0x0000000000416232 in main (argc=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    argv=0x7fff7ad864b8) at main.c:689
Comment 17 Milan Crha 2008-12-01 02:58:45 EST
As far as I understand the camel_getaddrinfo, it tries to resolve address information for the macbook.infradead.org, waiting for a reply. It should recover after some timeout, probably. I've no idea what we can do with this.
Comment 18 David Woodhouse 2008-12-05 04:01:11 EST
It doesn't seem to time out -- at least, not for a _very_ long time.

Today's problem.... it seems to be leaking filedescriptors -- it has 1000 or so pipes open. First I noticed it failing to verify a PGP signature, reporting 'too many open files'. And then when I tried to change folder, it failed to open the database file.
Comment 19 David Woodhouse 2008-12-10 08:05:33 EST
When I select a bunch of mails (containing patches) in a mailbox, and save them all to a file to be applied with 'git-am', they end up in seemingly random order. Probably related to the other ordering problems, but not as easy to paper over cosmetically by applying some other sort.
Comment 20 David Woodhouse 2008-12-10 10:27:33 EST
Another strange problem when I save mails... the dialog box now pops up with a suggested name for the file, such as '+_drivers-mtd-nand-pasemi_nandc-add-missing-pci_dev_put.patch_added_to_-mm_tree'.

But that filename is only _partly_ selected, so when I type over it with a temporary filename like 'asd', I end up saving a file named 'asd.patch_added_to_-mm_tree'. Which is strange.

This is in addition to the problem where I attach files by typing the filename, then clicking the 'Suggest automatic display of attachment' box, and then it ignores the filename I typed and uses the item selected in the point-and-drool box instead. I have to go back and click on the filename again to make it work properly.
Comment 21 Milan Crha 2008-12-10 11:42:26 EST
(In reply to comment #20)
> ...
> But that filename is only _partly_ selected, so when I type over it with a
> temporary filename like 'asd', I end up saving a file named
> 'asd.patch_added_to_-mm_tree'. Which is strange.

It's new Save dialog "feature", I see the same in FireFox too. Ask Gtk+ guys why they do that (I guess because of the extension, that you want to change only file name, not an extension. I've no idea whether it can be turned off, but I do not like it much too.
Comment 22 David Woodhouse 2009-07-08 03:22:58 EDT
In Fedora 11 evolution is still failing to render folder indices after NetworkManager reconnects the wifi and sends disconnect/connect events. The -EAGAIN on composer autosave also persists in this state.
Comment 23 David Woodhouse 2009-07-26 16:34:04 EDT
Evolution seems to get into its -EAGAIN state now even without a network disconnection. It's done it about 4 times in the last half hour. I hit ctrl-alt-backspace and started a new session, then it's done it once more after that.

Any chance of this ever getting fixed?
Comment 24 Milan Crha 2009-07-27 06:13:01 EDT
(In reply to comment #23)
> Evolution seems to get into its -EAGAIN state now even without a network
> disconnection. It's done it about 4 times in the last half hour. I hit
> ctrl-alt-backspace and started a new session, then it's done it once more after
> that.
> 
> Any chance of this ever getting fixed?  

Do you have a backtrace for this, please? As I'm not sure what you mean with it.
Comment 25 David Woodhouse 2009-07-27 07:11:10 EDT
As described in comments 4, 6, 10, 11...

It fails to display the folder indices, just showing a completely empty pane or sometimes 'Generating message list...'.

And when I try to compose a new mail, it comes up with the signature empty (just the '-- ') because it failed to read my ~/.signature. And when it tries to autosave, it complains 'Error saving to autosave because "Interrupted system call"'
Comment 26 David Woodhouse 2009-07-27 08:08:15 EDT
Created attachment 355269 [details]
screenshot
Comment 27 David Woodhouse 2009-07-27 08:22:36 EDT
Whereas this used to be triggered by NetworkManager going offline or hitting 'cancel', it now seems to be triggered by changing folders -- just clicking on them in the list.

So I _can_ actually read my mail, just about... if I select a folder, then quit evolution and restart it (and actually wait for it to quit rather than just killing it as I normally do), then I can see the folder I selected.
Comment 28 David Woodhouse 2009-07-27 08:34:23 EDT
And now, after leaving it for a while, it seems to let me change folders without getting into the problematic state. I have no idea what the difference is.
Comment 29 Milan Crha 2009-07-27 09:29:01 EDT
There can be something wrong with your summaries, both folders.db and index files in your folders, I guess. The issue seems to be that, as with no summary you do not see any messages. Hard to say what's the issue at the moment.

Did you try vacuum your folders.db files? Maybe it's just slow and updates some indexes, or something. Please see this thread
http://mail.gnome.org/archives/evolution-list/2009-February/msg00049.html

When you see this again, the empty message list, it's most probably something with your folders.db file. I guess you are running PPC, what's your actual evolution and sqlite3 versions you've installed? Also, when you see the stuck "Generating message list", please attach gdb to the running Evolution and put here "thread apply all bt". I hope there will be shown what evolution is actually doing.
Comment 30 David Woodhouse 2009-07-27 10:32:10 EDT
If I remove my entire cache (rm -rf ~/.evolution/mail/imap), it's going to take hours (perhaps even days) to recreate it all again, isn't it? I'm slightly reluctant to do that.

I'm not sure that's the problem, since this happens to _all_ folders and it's modal. When it's working, it works fine -- but when it gets into this strange state, it doesn't work on _any_ folder. And other symptoms of this strange state are returning -EINTR to all file access, AFAICT.

I'm seeing this behaviour on x86_64, not PowerPC.

I could always reproduce this easily by hitting 'cancel' during an IMAP operation -- can you not?
Comment 31 Milan Crha 2009-07-27 11:29:58 EDT
(In reply to comment #30)
> If I remove my entire cache (rm -rf ~/.evolution/mail/imap), it's going to take
> hours (perhaps even days) to recreate it all again, isn't it? I'm slightly
> reluctant to do that.

I understand, I would also rather not doing that.

> I could always reproduce this easily by hitting 'cancel' during an IMAP
> operation -- can you not?  

I use to cancel operations by the button in the status bar. I guess you talk about the Cancel button in the toolbar. There I seem to see something similar what you described, the message "Interrupted system call" on console. Though the folder view is never emptied. I'm using actual master.  Maybe you hit the button "in the right time", when some operation on folders.db had been under progress and this got interrupted "in the middle".
Comment 32 David Woodhouse 2009-08-01 07:45:53 EDT
It's doing it again today. I disconnected from my VPN so I had to restart Evolution (since I get a new IP address). And now it's not showing folders again.

^C
Program received signal SIGINT, Interrupt.
0x0000003ea14d4f73 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=3975)
    at ../sysdeps/unix/sysv/linux/poll.c:87
87	  int result = INLINE_SYSCALL (poll, 3, CHECK_N (fds, nfds), nfds, timeout);
Current language:  auto; currently minimal
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.4.8-2.fc11.x86_64 avahi-0.6.25-3.fc11.x86_64 avahi-glib-0.6.25-3.fc11.x86_64 bluez-libs-4.42-1.fc11.x86_64 bug-buddy-2.26.0-2.fc11.x86_64 bzip2-libs-1.0.5-5.fc11.x86_64 cyrus-sasl-lib-2.1.22-22.fc11.x86_64 db4-4.7.25-11.fc11.x86_64 e2fsprogs-libs-1.41.4-10.fc11.x86_64 elfutils-libelf-0.141-1.fc11.x86_64 evolution-mapi-0.26.2-1.fc11.x86_64 expat-2.0.1-6.x86_64 freetype-2.3.9-5.fc11.x86_64 gamin-0.1.10-4.fc11.x86_64 gdbm-1.8.0-31.fc11.x86_64 gnome-keyring-2.26.3-1.fc11.x86_64 gnutls-2.6.6-1.fc11.x86_64 gstreamer-0.10.23.2-1.fc11.x86_64 gtk-nodoka-engine-0.7.2-4.fc11.x86_64 gvfs-1.2.3-8.fc11.x86_64 keyutils-libs-1.2-5.fc11.x86_64 krb5-libs-1.6.3-20.fc11.x86_64 libXau-1.0.4-5.fc11.x86_64 libXcomposite-0.4.0-7.fc11.x86_64 libXcursor-1.1.9-4.fc11.x86_64 libXdamage-1.1.1-6.fc11.x86_64 libXext-1.0.99.1-2.fc11.x86_64 libXfixes-4.0.3-5.fc11.x86_64 libXi-1.2.1-1.fc11.x86_64 libXinerama-1.0.3-4.fc11.x86_64 libXrandr-1.2.99.4-3.fc11.x86_64 libXrender-0.9.4-5.fc11.x86_64 libXtst-1.0.3-5.fc11.x86_64 libasyncns-0.7-2.fc11.x86_64 libattr-2.4.43-3.fc11.x86_64 libcanberra-0.12-1.fc11.x86_64 libcanberra-gtk2-0.12-1.fc11.x86_64 libcap-2.16-4.fc11.1.x86_64 libcroco-0.6.2-2.fc11.x86_64 libgcc-4.4.0-4.x86_64 libgcrypt-1.4.4-6.fc11.x86_64 libgpg-error-1.6-3.x86_64 libgsf-1.14.11-3.fc11.x86_64 libldb-0.9.3-15.fc11.x86_64 libogg-1.1.3-11.fc11.x86_64 libpng-1.2.37-1.fc11.x86_64 librsvg2-2.26.0-1.fc11.x86_64 libselinux-2.0.80-1.fc11.x86_64 libstdc++-4.4.0-4.x86_64 libtalloc-1.3.1-0.fc11.x86_64 libtasn1-1.8-2.fc11.x86_64 libtevent-0.9.3-15.fc11.x86_64 libtool-ltdl-2.2.6-11.fc11.x86_64 libusb-0.1.12-21.fc11.x86_64 libvorbis-1.2.0-7.fc11.x86_64 libxcb-1.2-4.fc11.x86_64 mail-notification-evolution-plugin-5.4-10.fc11.x86_64 nss-mdns-0.10-7.fc11.x86_64 openchange-0.8.2-2.fc11.x86_64 openssl-0.9.8k-5.fc11.x86_64 pango-1.24.5-1.fc11.x86_64 pixman-0.14.0-2.fc11.x86_64 pulseaudio-libs-0.9.15-14.fc11.x86_64 samba4-libs-4.0.0-15alpha7.fc11.x86_64 tcp_wrappers-libs-7.6-55.fc11.x86_64 zlib-1.2.3-22.fc11.x86_64
(gdb) t a a bt

Thread 27 (Thread 0x7fff9cdfa910 (LWP 10354)):
#0  0x0000003ea14d4f73 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fffe23fa7f3 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007fffe23e82c4 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007fffe23e8673 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007fffe23e86e6 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007fffe23fa870 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007fffe15e4c47 in ?? () from /usr/lib64/libpulsecommon-0.9.15.so
#7  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7fff9e1fc910 (LWP 10348)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x9a06c0, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x9a06c0) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x9a3988) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x9a3fc0) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

---Type <return> to continue, or q <return> to quit---
Thread 23 (Thread 0x7fff9ebfd910 (LWP 10347)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x991070, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x991070) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x992018) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x991af0) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
Current language:  auto; currently asm

Thread 22 (Thread 0x7fff9f5fe910 (LWP 10346)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x938c70, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x938c70) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x949368) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x942b10) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7fff9ffff910 (LWP 10345)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x928330, try=0, end_time=0x0)
---Type <return> to continue, or q <return> to quit---
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x928330) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x928fb8) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x928a90) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fffc1b78910 (LWP 10342)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffd41d9fa0, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffd41d9fa0) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffd41e0648) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffd41dc4f0) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fffc2579910 (LWP 10341)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffd41cabb0, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffd41cabb0) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffd41cb828) at camel-db.c:78
---Type <return> to continue, or q <return> to quit---
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffd41cb310) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fffc2f7a910 (LWP 10340)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffc8013d40, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffc8013d40) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffc801d348) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffc8010b70) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fffd17fb910 (LWP 10339)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffc8001e00, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffc8001e00) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffc8002ba8) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffc8002680) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
---Type <return> to continue, or q <return> to quit---
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fffd0dfa910 (LWP 10338)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffd8016590, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffd8016590) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffd80215f8) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffd8021110) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fffd21fc910 (LWP 10336)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffd8003fd0, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffd8003fd0) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffd8005828) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffd8002a20) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fffd2bfd910 (LWP 10335)):
---Type <return> to continue, or q <return> to quit---
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffc40157c0, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffc40157c0) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffc4037598) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffc4012f00) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fffd35fe910 (LWP 10334)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffc4002fd0, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffc4002fd0) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffc40049b8) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffc4004460) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fffd3fff910 (LWP 10332)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffd4014560, try=0, end_time=0x0)
    at gasyncqueue.c:358
---Type <return> to continue, or q <return> to quit---
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffd4014560) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffd4012ac8) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffd4012c40) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fffe21fc910 (LWP 10329)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7fffd4003800, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7fffd4003800) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7fffd40045a8) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x7fffd4004080) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fffe3fff910 (LWP 10326)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7b8790, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7b8790) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x72c438) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x72c530) at gthread.c:635
---Type <return> to continue, or q <return> to quit---
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fffe8fb8910 (LWP 10325)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x0000003d8e6141c0 in g_async_queue_pop_intern_unlocked (queue=0x7a53d0, try=0, end_time=0x0)
    at gasyncqueue.c:358
#2  0x0000003d8e614574 in IA__g_async_queue_pop (queue=0x7a53d0) at gasyncqueue.c:398
#3  0x00007ffff5efc231 in sync_request_thread_cb (cFile=0x7b79a8) at camel-db.c:78
#4  0x0000003d8e660934 in g_thread_create_proxy (data=0x76e360) at gthread.c:635
#5  0x0000003ea200686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0000003ea14de25d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffff559e7f0 (LWP 10314)):
#0  0x0000003ea14d4f73 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=3975) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003d8e63b05c in g_main_context_poll (n_fds=<value optimized out>, fds=<value optimized out>, 
    priority=<value optimized out>, timeout=<value optimized out>, context=<value optimized out>)
    at gmain.c:2768
#2  g_main_context_iterate (n_fds=<value optimized out>, fds=<value optimized out>, 
    priority=<value optimized out>, timeout=<value optimized out>, context=<value optimized out>)
    at gmain.c:2450
#3  0x0000003d8e63b6d5 in IA__g_main_loop_run (loop=0x6ef780) at gmain.c:2663
---Type <return> to continue, or q <return> to quit---
#4  0x0000003d9402d026 in bonobo_main () at bonobo-main.c:311
#5  0x00000000004162ba in main (argc=<value optimized out>, argv=<value optimized out>) at main.c:704
Current language:  auto; currently minimal
(gdb)
Comment 33 David Woodhouse 2009-08-01 07:59:06 EDT
If I run with CAMEL_VERBOSE_DEBUG=1 and look at the output, there are some interesting things in there. No idea if they're related though.

DB SQL operation [SELECT uid, flags, size, dsent, dreceived, subject, mail_from, mail_to, mail_cc, mlist, part, labels, usertags, cinfo, bdata FROM 'badreply' WHERE uid = '<F0><AE><E7>^A'] started
DB Operation ended. Time Taken : 0.012389
###########



sending : A00008 STATUS INBOX (MESSAGES UNSEEN)
received: * STATUS "INBOX" (MESSAGES 9713 UNSEEN 135)
received: A00008 OK [CLIENTBUG] Status on selected mailbox completed.


I've removed my complete imap cache for the local mail server. Since that's connected over GigE, it'll only take evolution a few hours to start up for the "first" time. If that fixes it, it's probably worth it.
Comment 34 David Woodhouse 2009-08-01 08:56:27 EDT
Well, the good news is that it only took about an hour to start up, and that wasn't even over GigE -- it was over wireless. The bad news is that after re-fetching all headers for all mails in all folders (yay, because it really _needed_ those just to tell me how many new mails are in each folder), it's still showing 'Generating message list...' for my INBOX.
Comment 35 David Woodhouse 2009-08-03 04:20:12 EDT
Argh. I managed to get it to start up and work for a while, but then it crashed (http://bugzilla.gnome.org/show_bug.cgi?id=590583) and I can't work out what the trick is to make it start up and actually work... the only clue I have seems to be that I start it, don't touch it for an hour or so, and _then_ it might work properly.
Comment 36 Milan Crha 2009-08-03 05:35:44 EDT
I wonder how is it possible that you've so many troubles with evolution. Could that be because of large folders (there is high disk usage during "generating message list" issue) or many virtual/search folders? I've not much idea, only that I see a slowness with large folders too (60K+ messages).

Trace from a comment #32 doesn't show anything like "stuck in a loop", most threads are waiting for a db operation, the main thread is in idle, only surprising for me is thread 27, which runs something from libpulse.

Comment #33, that " WHERE uid = '<F0><AE><E7>^A'", I guess it's called with either a search folder or when you got disconnected. I think I saw something similar myself too, but I never got to reproduce it reliably and investigate further what wrong is there.
Comment 37 David Woodhouse 2009-08-03 07:30:44 EDT
I don't use search folders. If I could disable them completely (including the 'Trash' and 'Spam' special cases, I would. I do have lots of mail :)
Comment 38 David Woodhouse 2009-08-24 15:11:58 EDT
I'm away and on GPRS for connectivity, and again I can't get it to start up without getting into this state where it can't read or write any files, and displays empty folder indices. Perhaps it's something to do with having a very slow connection to the IMAP server?

I've often said that Evolution developers should be forced to work with a dialup connection to their mail server...
Comment 39 David Woodhouse 2009-08-25 04:27:30 EDT
I managed to make it start last night, but this morning I can't. Even leaving it until it's finished checking all folders at startup (which takes ages because of the regression where it stopped using STATUS) isn't always sufficient, although that usually seems to make it more likely to work.
Comment 40 Christopher Beland 2010-02-23 03:15:27 EST
Hi, I'm trying to get this bug straightened out.  The subject "Unimpressed with Evolution 2.24" is vague, and we generally try to keep to one issue per report so they can be tracked as they are fixed.  It looks like the primary remaining issue is the problem with sort order?  Do we want to make that the subject of this bug, or start a clean one?

Are you still experiencing that sort order problem?  I should note that Evolution 2.28 is available with Fedora 12, and 2.29 is in Fedora 13 (currently pre-Alpha); you may find your problem(s) are solved in those newer versions.

If you are still experiencing multiple problems, I would recommend filing separate bugs and copying any applicable background information for each one.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 41 Bug Zapper 2010-04-27 08:21:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 42 Chris Campbell 2010-06-03 11:50:54 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.